Loading...
Searching...
No Matches
restinio::easy_parser::impl::consume_value_clause_t< P, C > Class Template Reference

A template for a clause that binds a value producer with value consumer. More...

`#include <easy_parser.hpp>`

Inheritance diagram for restinio::easy_parser::impl::consume_value_clause_t< P, C >:

## Public Member Functions

| consume_value_clause_t (P &&producer, C &&consumer)
template<typename Target_Type >
RESTINIO_NODISCARD optional_t< parse_error_t > | try_process (source_t &from, Target_Type &target)

## Private Attributes

P | m_producer
C | m_consumer

## Additional Inherited Members

Static Public Attributes inherited from restinio::easy_parser::impl::clause_tag
static constexpr entity_type_t | entity_type = entity_type_t::clause

## Detailed Description

template<typename P, typename C>
class restinio::easy_parser::impl::consume_value_clause_t< P, C >

A template for a clause that binds a value producer with value consumer.

Template Parameters

  P | the type of value producer.
  C | the type of value consumer.

Since
  v.0.6.1

Definition at line 1473 of file easy_parser.hpp.

## Constructor & Destructor Documentation

## consume_value_clause_t()

template<typename P , typename C >

restinio::easy_parser::impl::consume_value_clause_t< P, C >::consume_value_clause_t | ( | P && | producer,
|  | C && | consumer
| ) |  |

inline

Definition at line 1482 of file easy_parser.hpp.

## Member Function Documentation

## try_process()

template<typename P , typename C >
template<typename Target_Type >

RESTINIO_NODISCARD optional_t< parse_error_t > restinio::easy_parser::impl::consume_value_clause_t< P, C >::try_process | ( | source_t & | from,
|  | Target_Type & | target
| ) |  |

inline

Definition at line 1490 of file easy_parser.hpp.

## Member Data Documentation

## m_consumer

template<typename P , typename C >

C restinio::easy_parser::impl::consume_value_clause_t< P, C >::m_consumer

private

Definition at line 1479 of file easy_parser.hpp.

## m_producer

template<typename P , typename C >

P restinio::easy_parser::impl::consume_value_clause_t< P, C >::m_producer

private

Definition at line 1478 of file easy_parser.hpp.

The documentation for this class was generated from the following file:

- restinio/helpers/easy_parser.hpp